Subject: bug#29339: 27.0.50; CC-mode doesn't know about .mm and .M suffixes for Objective-C++

From: Philipp Stephani <[email-masked]>
Date: Thu, 21 Dec 2017 19:22:05 +0000

Alan Mackenzie <[email-masked]> schrieb am Fr., 17. Nov. 2017 um 20:00 Uhr:

> In article <[email-masked]> you
> wrote:
>
> > GCC uses .mm or .M for Objective-C++,
> > cf. https://gcc.gnu.org/onlinedocs/gcc-7.2.0/gcc/Overall-Options.html.
> > However, neither `auto-mode-alist' nor `cc-other-file-alist' contain
> > these file extensions.
>
> I don't think there's an Objective-C++ mode out there in the wild.  So
> what existing mode should be used for *.mm and *.M?  Is that mode a good
> enough fit to be able, in good conscience, to use it for Obj-C++?
>

According to https://www.emacswiki.org/emacs/ObjectiveCMode#toc2 objc-mode
is the most appropriate mode for now, until a true objc++-mode is added.